All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr.relational
Class RelationalConditionalExpression

    com.sas.iquery.metadata.expr.relational.RelationalConditionalExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, CascadableFilter, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

Direct Known Subclasses:
  SimpleConditionalExpression_Between, SimpleConditionalExpression_Comparison, SimpleConditionalExpression_Contains, SimpleConditionalExpression_In, SimpleConditionalExpression_Like, SimpleConditionalExpression_TestForNull

    public abstract class RelationalConditionalExpression

implements CascadableFilter

Specifies an abstract class for code that is common to all the relational conditional expressions.

Field Summary
`static java.lang.String` | `EVENT_FF_OVERRIDE_STATUS_CHANGED`
`static java.lang.String` | `EVENT_FF_OVERRIDE_VALUE_CHANGED`

Fields inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`EVENT_NEGATION_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`RelationalConditionalExpression()`

Method Summary
`ExpressionInterface` | `getExpression()` Returns the `ExpressionInterface` for this `CascadableFilter`.

Methods inherited from class com.sas.iquery.metadata.expr.ConditionalExpression
`getExpressionType, isNegated, setIsNegated`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

*** This field is subject to change. ***

### EVENT_FF_OVERRIDE_STATUS_CHANGED

    public static final java.lang.String EVENT_FF_OVERRIDE_STATUS_CHANGED

See Also:
  Constant Field Values

*** This field is subject to change. ***

### EVENT_FF_OVERRIDE_VALUE_CHANGED

    public static final java.lang.String EVENT_FF_OVERRIDE_VALUE_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### RelationalConditionalExpression

    public RelationalConditionalExpression()

Method Detail

*** This method is subject to change. ***

### getExpression

    public ExpressionInterface getExpression()

  Description copied from interface: `CascadableFilter`
  Returns the `ExpressionInterface` for this `CascadableFilter`.

  Specified by:
    `getExpression` in interface `CascadableFilter`
  Returns:
    The underlining `ExpressionInterface`
  See Also:
    `CascadableFilter.getExpression()`

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.